## org.eclipse.datatools.modelbase.sql.datatypes
Interface CollectionDataType

All Superinterfaces:
  ConstructedDataType, DataType, SQLDataType, SQLObject

All Known Subinterfaces:
  ArrayDataType, MultisetDataType

All Known Implementing Classes:
  ArrayDataTypeImpl, CollectionDataTypeImpl, MultisetDataTypeImpl

public interface CollectionDataType
extends ConstructedDataType

A representation of the model object 'Collection Data Type'. Reference: 5WD-02-Foundation-2002-12 4.10 Collection Types

The following features are supported:

- `Element`

See Also:
  `SQLDataTypesPackage.getCollectionDataType()`

Method Summary
`EList` `getElement()` Returns the value of the 'Element' reference list.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getElement

    public EList getElement()

  Returns the value of the 'Element' reference list. The list contents are of type `DataType`.

  If the meaning of the 'Element' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Element' reference list.
  See Also:
    `SQLDataTypesPackage.getCollectionDataType_Element()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.